<form
  *ngIf="showForm; else skeletonContainer"
  class="container"
  [formGroup]="searchForm"
  (ngSubmit)="search()"
>
  <mat-form-field appearance="outline">
    <mat-label>Search Title</mat-label>
    <input
      (keyup)="search('title')"
      matInput
      type="text"
      formControlName="search"
    />
    <button mat-icon-button matSuffix>
      <mat-icon>search</mat-icon>
    </button>
  </mat-form-field>
  <mat-form-field appearance="outline" *ngFor="let dropdown of dropdowns">
    <mat-label>{{ dropdown.label }}</mat-label>
    <mat-select
      [formControlName]="dropdown.formControlName"
      (selectionChange)="search()"
    >
      <mat-option
        *ngFor="let option of dropdown.options"
        [value]="option"
        [disabled]="checkIfDisabled(option)"
      >
        {{ removeLabel(option) }}
      </mat-option>
    </mat-select>
  </mat-form-field>
</form>
<ng-template #skeletonContainer>
  <div style="height: 10rem"></div>
</ng-template>
